package dev.shadowsoffire.apotheosis.advancements;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.google.gson.JsonObject;
import dev.shadowsoffire.apotheosis.advancements.EnchantedTrigger;
import net.minecraft.advancements.critereon.ContextAwarePredicate;
import net.minecraft.advancements.critereon.EnchantedItemTrigger;
import net.minecraft.advancements.critereon.ItemPredicate;
import net.minecraft.advancements.critereon.MinMaxBounds;
import net.minecraft.advancements.critereon.SerializationContext;
import net.minecraft.world.item.ItemStack;

public class Instance extends EnchantedItemTrigger.TriggerInstance {
  protected final MinMaxBounds.Doubles eterna;
  
  protected final MinMaxBounds.Doubles quanta;
  
  protected final MinMaxBounds.Doubles arcana;
  
  protected final MinMaxBounds.Doubles rectification;
  
  public Instance(ItemPredicate item, MinMaxBounds.Ints levels, MinMaxBounds.Doubles eterna, MinMaxBounds.Doubles quanta, MinMaxBounds.Doubles arcana, MinMaxBounds.Doubles rectification) {
    super(ContextAwarePredicate.f_285567_, item, levels);
    this.eterna = eterna;
    this.quanta = quanta;
    this.arcana = arcana;
    this.rectification = rectification;
  }
  
  public static EnchantedItemTrigger.TriggerInstance any() {
    return new EnchantedItemTrigger.TriggerInstance(ContextAwarePredicate.f_285567_, ItemPredicate.f_45028_, MinMaxBounds.Ints.f_55364_);
  }
  
  public boolean test(ItemStack stack, int level, float eterna, float quanta, float arcana, float rectification) {
    return (super.m_27691_(stack, level) && this.eterna.m_154810_(eterna) && this.quanta.m_154810_(quanta) && this.arcana.m_154810_(arcana) && this.rectification.m_154810_(rectification));
  }
  
  public boolean m_27691_(ItemStack stack, int level) {
    return test(stack, level, 0.0F, 0.0F, 0.0F, 0.0F);
  }
  
  public JsonObject m_7683_(SerializationContext serializer) {
    JsonObject jsonobject = super.m_7683_(serializer);
    jsonobject.add("eterna", this.eterna.m_55328_());
    jsonobject.add("quanta", this.quanta.m_55328_());
    jsonobject.add("arcana", this.arcana.m_55328_());
    jsonobject.add("rectification", this.rectification.m_55328_());
    return jsonobject;
  }
}
